MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024593Community[OCCT] OCCT:Data Exchangepublic2014-02-04 04:312016-04-20 15:49
Reporterthomhong 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0024593: Missing surfaces from STL output
DescriptionAfter importing the model from a STEP file, the STL export is missing several surfaces (the majority of the model is missing).
Steps To Reproduce1. Open the attached STEP file (using the ImportExport sample project)
2. Select the body in the model
3. Export to STL
TagsNo tags attached.
Test case numberbugs mesh bug24593_1 bug24593_2
Attached Files? file icon 285330.stp (750,768 bytes) 2014-02-04 04:31
? file icon 281946.stp (719,632 bytes) 2014-08-21 03:12

- Relationships
duplicate of 0024594closedabv Community Missing surfaces from STL output (second example) 

-  Notes
(0029496)
oan (developer)
2014-05-23 14:50

Dear thomhong,

The shapes attached to issues 0024593 and 0024594 contain invalid faces that in fact are the major bodies of the model.

checkshape command gives the following report:
# checkshape for model from file 285330.stp
point p3 -7.44760383725687 2.91937661636663 -57.2427868351376
On Shape faulty_1 :
BRepCheck_SelfIntersectingWire
On Shape faulty_2 :
BRepCheck_UnorientableShape
Shape faulty_1 on shape faulty_2 :
BRepCheck_SelfIntersectingWire

Faulty shapes in variables faulty_1 to faulty_2


# checkshape for model from file 284965.stp
point p2 -4.75528258147577 -1.54508497187474 -8.51077772912605
On Shape faulty_1 :
BRepCheck_SelfIntersectingWire
On Shape faulty_2 :
BRepCheck_UnorientableShape
Shape faulty_1 on shape faulty_2 :
BRepCheck_SelfIntersectingWire

Faulty shapes in variables faulty_1 to faulty_2


As a result, it is impossible to produce correct mesh based on incorrect geometry. The solution is to resolve inconsistencies introduced by design using the application where the shape was modeled.

With best regards,
OAN
(0029501)
thomhong (reporter)
2014-05-23 20:29

Thank you for looking into this issue - I will ask the model provider to verify this issue in the model and provide further feedback.
(0029940)
thomhong (reporter)
2014-07-02 04:01

After some discussion and further testing, it appears that the STL output is not at fault. The import from STEP to the OpenCASCADE representation seems to be the root issue - this is reproducible using the ImportExport sample program and examining the shaded BRep model. Can you please assign this to the appropriate party? Thanks!
(0029941)
oan (developer)
2014-07-02 09:14

Dear GKA,

could you please investigate.
(0050231)
git (administrator)
2016-01-29 14:03

Branch CR24593 has been created by oan.

SHA-1: 2254eff41d4bc82f59885ebe0cd71a14d8af9190


Detailed log of new commits:

Author: oan
Date: Fri Jan 29 14:02:55 2016 +0300

    Added test cases
(0050234)
oan (developer)
2016-01-29 14:09

Dear Bugmaster,

it seems that this case has became OK due to fixes for shape healing and mesh since 6.7.0.

Please verify. Test case has been added to branch CR24593.
(0050958)
git (administrator)
2016-02-18 15:47

Branch CR24593 has been updated by apn.

SHA-1: 0fb781e69d337feb3bda821b96bad00f5ff45e5a


Detailed log of new commits:

Author: apn
Date: Thu Feb 18 15:46:50 2016 +0300

    Small corrections of test cases

(0050960)
apn (administrator)
2016-02-18 15:52

Test case:
bugs mesh bug24593_1 - OK
http://occt-tests/bug24593_Lin/bugs/mesh/bug24593_1.html [^]
http://occt-tests/bug24593_WNT/bugs/mesh/bug24593_1.html [^]
bugs mesh bug24593_2 - OK
http://occt-tests/bug24593_Lin/bugs/mesh/bug24593_2.html [^]
http://occt-tests/bug24593_WNT/bugs/mesh/bug24593_2.html [^]
(0050961)
git (administrator)
2016-02-18 15:55

Branch CR24593 has been updated forcibly by apn.

SHA-1: f5c36acb127e6f387e16c70f73e7dc424b5a573c
(0051004)
git (administrator)
2016-02-19 12:41

Branch CR24593 has been updated forcibly by apn.

SHA-1: 9c7763a749f444149088e2961b60bcc77392dbae
(0052797)
git (administrator)
2016-04-17 13:07

Branch CR24593 has been deleted by kgv.

SHA-1: 9c7763a749f444149088e2961b60bcc77392dbae

- Related Changesets
occt: master 183acc2f
Timestamp: 2016-02-19 11:56:06
Author: abv
Committer: abv
Details ] Diff ]
0024593: Missing surfaces from STL output

Added test cases
Small corrections of test cases
add - tests/bugs/mesh/bug24593_1 Diff ] File ]
add - tests/bugs/mesh/bug24593_2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-02-04 04:31 thomhong New Issue
2014-02-04 04:31 thomhong Assigned To => oan
2014-02-04 04:31 thomhong File Added: 285330.stp
2014-05-23 14:16 oan Relationship added duplicate of 0024594
2014-05-23 14:50 oan Note Added: 0029496
2014-05-23 14:50 oan Assigned To oan => thomhong
2014-05-23 14:50 oan Status new => feedback
2014-05-23 20:29 thomhong Note Added: 0029501
2014-07-02 04:01 thomhong Note Added: 0029940
2014-07-02 09:14 oan Assigned To thomhong => gka
2014-07-02 09:14 oan Note Added: 0029941
2014-07-03 17:51 oan Category OCCT:Mesh => OCCT:Data Exchange
2014-08-21 03:12 thomhong File Added: 281946.stp
2014-09-11 18:35 abv Status feedback => assigned
2014-09-11 18:35 abv Target Version => 7.1.0
2016-01-29 14:03 git Note Added: 0050231
2016-01-29 14:09 oan Assigned To gka => bugmaster
2016-01-29 14:09 oan Note Added: 0050234
2016-01-29 16:15 oan Relationship added related to 0027122
2016-02-01 10:08 oan Status assigned => feedback
2016-02-02 10:09 bugmaster Assigned To bugmaster => apn
2016-02-18 15:47 git Note Added: 0050958
2016-02-18 15:52 apn Note Added: 0050960
2016-02-18 15:55 git Note Added: 0050961
2016-02-18 15:56 apn Test case number => bugs mesh bug24593_1 bug24593_2
2016-02-18 15:56 apn Assigned To apn => bugmaster
2016-02-18 15:56 apn Status feedback => tested
2016-02-19 11:22 abv Target Version 7.1.0 => 7.0.0
2016-02-19 12:41 git Note Added: 0051004
2016-02-21 08:52 abv Changeset attached => occt master 183acc2f
2016-02-21 08:52 abv Assigned To bugmaster => abv
2016-02-21 08:52 abv Status tested => verified
2016-02-21 08:52 abv Resolution open => fixed
2016-04-17 13:07 git Note Added: 0052797
2016-04-20 15:43 user533 Fixed in Version => 7.0.0
2016-04-20 15:49 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker